/*
 * Copyright 1996, 1997, 1998 Hans Reiser, see reiserfs/README for licensing and copyright details
 */

#ifndef _REISER_FS_I
#define _REISER_FS_I


struct reiserfs_inode_info {
  struct pipe_inode_info reserved;

  __u32 i_key [4];     		/* key of the first object if the item */
  __u32 i_first_direct_byte;
  __u32 i_parent_dir_id;

  int i_is_being_converted;
  int i_read_sync_counter;
};

#define INODE_DOT_DOT_GROUP_LOCALE(inode) ((inode)->u.reiserfs_i.i_parent_dir_id)

#endif
